Page MenuHomePhabricator

Reach out to Google about @yahoo.com emails not reaching gmail inboxes (when sent to mailing lists)
Closed, ResolvedPublic

Description

I've noticed a number of emails sent from "@yahoo.com" accounts not reaching my gmail account once being processed by mailman (and archived), We should probably outreach to Google (if we still have contacts there( about this.

Most recent example is Paladox's emails to wikitech (Attached).

I've also had a search for @yahoo.com in my mailing list filter/tag in my inbox and found several other examples where they have reached Mailman but not my inbox (visible due to other users quoting and replying to them)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2016, 12:41 AM
elukey triaged this task as Low priority.Oct 19 2016, 12:39 PM
faidon added a subscriber: faidon.Oct 19 2016, 2:18 PM

This is most likely related to Yahoo's DMARC policy, cf. T66818.

This is most likely related to Yahoo's DMARC policy, cf. T66818.

T66795 is fixed now hence wondering if this very task is still on the list?

Dzahn added a subscriber: Dzahn.Mar 18 2017, 12:11 AM

@Paladox you recently said that yahoo unblocked us and you are receiving mail again?

Yep but this task is about emails not reaching gmail users from a yahoo email address if you use the mailing list.

Seb35 added a subscriber: Seb35.Jul 18 2017, 8:34 PM

Instead of reaching Google about this issue, it should first be tried to implement the DMARC-workaround in Mailman 2.1.18 as described in T168467.

Dzahn added a subscriber: herron.Jul 18 2017, 9:01 PM
Dzahn added a comment.Nov 2 2017, 11:47 AM

@Seb35 @Peachey88 @herron since T168467 is resolved meanwhile, does this mean this ticket can be closed as well?

@Seb35 @Peachey88 @herron since T168467 is resolved meanwhile, does this mean this ticket can be closed as well?

Could anyone answer Dzahn's question please? ^^

@Seb35 @Peachey88 @herron since T168467 is resolved meanwhile, does this mean this ticket can be closed as well?

I subscribed with a private @gmail.com account to wikitech-l@ and did not receive https://lists.wikimedia.org/pipermail/wikitech-l/2018-June/090265.html so this still seems to be a problem.

herron added a comment.EditedJun 29 2018, 4:43 PM

For wikitech-l the DMARC moderation policy is accept, which is known to cause issues with ISPs using strict DMARC policy (such as yahoo)

Changing that to "Munge From" would address this by rewriting sender addresses with strict DMARC policies to the address of the list, and adding a reply-to header.

@herron: Thanks! I boldly changed that setting to "Munge From" on https://lists.wikimedia.org/mailman/admin/wikitech-l/privacy/sender

Might mean that this task is resolved?

herron closed this task as Resolved.Sep 5 2018, 2:13 PM
herron claimed this task.

@herron: Thanks! I boldly changed that setting to "Munge From" on https://lists.wikimedia.org/mailman/admin/wikitech-l/privacy/sender
Might mean that this task is resolved?

That should do the trick! I'll transition to resolved now, but of course we can re-open if needed.